---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2020-06-30
title: Komponente OBS Bridge
description: 'iStream Tools - Komponente OBS Bridge'
keywords: 'Audioplayer, Mediaplayer, Soundeffekte, Stream, Tool, OBS-Studio'

---

# OBS Bridge

Die OBS Bridge ist die Schnittstelle zwischen OBS-Studio und den Streamtools. Sobald die OBS Bridge
  eingerichtet ist, lassen sich in OBS Remote die gewünschten Schalter einrichten, mit denen man
  die Szenen, Quellen, Gruppen und Filter in OBS-Studio, von der Console aus, steuern kann.

Um diese Funktionalität nutzen zu können, muss in OBS-Studio zuerst das [Websocket-Plugin](https://github.com/Palakis/obs-websocket/releases) installiert
  und eingerichtet werden. Sobald Du das Plugin auf Deinem System eingerichtet, und OBS-Studio neu
  gestartet hast, findest Du im Menü `Werkzeuge` den zusätzlichen Menüpunkt `Websocket-Servereinstellungen`.
  Über diesen Müpunkt öffnest Du einen Dialog, mit dem Du die Parameter für den Websocket einstellen
  kannst. Die Voreinstellungen sind `Port: 4444` und `kein Passwort`. In den meisten Fällen kann man
  diese Voreinstellungen unverändert stehen lassen.

<img src="/images/docs-obsbridge-03.png">

<img src="/images/docs-obsbridge-04.png">

Nachdem der Websocket eingerichtet ist, kannst Du die OBS Bridge von Streamtool einrichten. Im OBS-Studio
  Gehst Du im Menü zu `Ansicht` -> `Docks` -> `Benutzerdefinierte Browser-Docks`. In dem Dialog vergibst Du
  einen Namen und trägst die Url zur OBS Bridge ein. Den Link findest Du im Userbereich unter `Links`. Hast
  Du alles eingetragen, die Änderungen speichern. Der Dialog schliesst sich von alleine.

<img src="/images/docs-obsbridge-07.png">

<img src="/images/docs-obsbridge-11.png">

Nun sollte ein weiterer Menüpunkt im Untermenü `Ansicht` -> `Docks` angezeigt werden.

<img src="/images/docs-obsbridge-12.png">

Wähle den neuen Menüpunkt aus, und es erscheint nun ein dialog mit der OBS Bridge (Bild unten). Überprüfe die
  Felder `Port` und `Passwort`. Hier müssen die gleichen Daten verwendet werden, wie zuvor beim Einrichten
  des Websockets eingetragen. Die Defaultwerte sind `Port: 4444` und `kein Passwort`.

<img src="/images/docs-obsbridge-13.png">

Sobald Du den Schalter `Save &amp; Connect` betätigst, wird anhand der eingegbenen Daten eine Verbindung
  zum Websocket-Server, also eine Verbindung zu OBS selbst, hergestellt. Wenn die Verbindung hergestellt
  werden konnte, dann siehst Du zwei grüne Punkte und ein pulsierendes Herz. Das sind die Statusinformationen
  und zeigen an, dass alles wie gewünscht funktioniert.

<img src="/images/docs-obsbridge-15.png">

Du kannst den Dialog nun noch in die Oberfläche von OBS "eindocken". Die folgenden Bilder geben dir eine
  wie das geht. Du kannst den Dialog fast überall in der Oberfläche verankern. Du kannst das ganze auch
  auf die wesentlichen Statusinformationen minimieren.

Wenn Du die OBS Bridge auf diese Art in der Oberfläche von OBS verankerst, dann wird die Verbindung zwischen
  Streamtool und OBS mit dem Start von OBS hergestellt. Du musst dann nichts mehr weiter machen.

<img src="/images/docs-obsbridge-16.png">

<img src="/images/docs-obsbridge-17.png">

<img src="/images/docs-obsbridge-18.png">

Um die OBS Bridge zu schliessen und damit auch die Verbindung zum Websocket zu trennen, musst Du einfach nur
  auf den `Schlissen Button` (Kreuz rechts oben) klicken. Aber bitte immer daran denken, ohne OBS Bridge kann
  OBS Remote nicht funktionieren!

<img src="/images/docs-obsbridge-19.png">

<img src="/images/docs-obsbridge-20.png">
