---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2020-06-30
title: Komponente OBS Remote
description: 'iStream Tools - Komponente OBS Remote'
keywords: 'Audioplayer, Mediaplayer, Soundeffekte, Stream, Tool, OBS-Studio'

---

# OBS Remote

**Achtung: OBS Remote funktioniert nur, wenn die [OBS Bridge](/docs/obsbridge.html) eingerichtet
  und aktiviert wurde.**

Mit OBS Remote lassen sich alle Szenen, Quellen, Gruppen und Filter in OBS aktivieren bzw.
  deaktivieren. Dazu werden die Daten aus OBS-Studio mit dem Schalter `OBS Import` importiert.
  Jedes Element wird dann als ein Schalter angezeigt. Diese Schalter lassen sich dann auf
  der Console beliebig anordnen.

<img src="/images/OBS-Remote-einrichten.png">

<p>&nbsp;</p>
Damit es nicht zu unübersichtlich wird, wenn sehr viele Elemente in OBS eingerichtet wurden,
  sind Gruppen- und Filter-Elemente zunächst verdeckt. Können aber mit einem Klick auf das
  entsprechende Symbol auf dem Schalter angezeigt werden.

<img src="/images/OBS-Remote-Filter-Gruppen-einrichten.png">
<p>&nbsp;</p>

Jeder Schalter enthält einen oder mehrere Options-Schalter mit zusätzlichen Möglichkeiten.
  Oben Rechts ist der Schalter, mit dem festgelegt wird, ob der Schalter in der Auswahlliste
  der Console auftauchen soll. Unten Rechts sind die Symbole für Gruppe und Filter angeordnet.
  Das Filter-Symbol ist ein Trichter und das Gruppensymbol sind mehrere Layer. Wenn für ein
  Element Filter eingerichtet sind, dann wird dieser zusätzliche Options-Schalter, mit dem die
  zugehörigen filter angezeigt werden können, angezeigt. Enthält ein Element weitere Unterelemente
  `Gruppe`, dann wird der Options-Schalter für Gruppen-Elemente angezeigt.

<img src="/images/OBS-Remote-Button.png">

<p>&nbsp;</p>

Die eingerichteten Schalter können nun mit allen anderen Schaltern auf der Console angeordnet
  und bedient werden.

<img src="/images/OBS-Remote-Console-einrichten.png">

<p>&nbsp;</p>

Und stehen von nun an auf der console zur Verfügung.

<img src="/images/OBS-Remote-Console.png">
