---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2019-10-28
title: Komponenten einrichten (allgemein)
description: 'iStream Tools - Komponenten einrichten (allgemein)'
keywords: 'suggestions todo erweiterungen ideen'

---

# Komponenten einrichten (allgemein)

<div class="lead" markdown="1">
Wie schon auf der [Übersichtsseite](/docs/) erklärt, folgen alle Apps dem gleichen Workflow. Hier
  wird nun etwas detailierter beschrieben, wie man die verschiedenen Dialoge erreicht und was man
  damit machen kann. So muss in den Beschreibungen zu den Apps, nicht mehr auf diese Dinge
  eingegangen werden.
</div>

<img src="/images/videoplayer-1.png">

## Testmodus

Jede App befindet sich, wenn sie angewählt wird, im Setupmodus. Das heisst, alle Aktionen führen zu
  einer Änderung der Konfiguration und wird **in den meisten Fällen** automatisch gespeichert.
  Klickst Du auf einen Content-/Play-Button, dann führt Dich das zu einem Dialog, indem Du den
  Schalter bzw. den Content anpassen kannst. Klickst Du auf einen Standardbutton, dann führt Dich
  das zu einem Dialog, in dem Du den Schalter anpassen kannst. Das ist die Standardvorgehensweise.

Bei jeder App gibt es auch den sogenannten Testmodus. Um den Testmodus zu aktivieren, musst Du nur
  den Schalter `Testmodus` rechts oben aktivieren. Wenn Du den Testmodus aktiviert hast, dann wird
  bei einem Klick auf einen Content- / Play-Button der jeweilige Content in der Vorschau (linke
  Seite) angezeigt bzw. abgespielt. Wenn der Testmodus aktiviert ist, wird der Schalter blau
  dargestellt.

- Bei den Slides wird der jeweilige Slide angezeigt.
- Bei den Videoplayer wird das Video abgespielt.
- Bei den Audioplayer wird der Sound abgespielt.
- Die Standardbuttons haben ihre Funktion.

## Setup

Der Schalter Setup, rechts oben, dient der generellen Konfiguration der aktuell ausgewählten
  Anwendung. Hier können Standardwerte festgelegt werden. Die Beschriftung des App-Buttons kann
  geändert werden. Die aktuell ausgewählte Anwendung kann gelöscht werden.

<img src="/images/audioplayer-setup.png">

WARN: **Achtung: der Löschvorgang wird direkt ohne weitere Nachfrage UNWIDERRUFLICH durchgeführt**

## Upload

Das Feld Upload wird da angezeigt, wo Medien auf den Server übertragen werden können. Man kann die
  Dateien per Drag n Drop in dem Uploadfeld ablegen oder man kann mit einem Klick auf das Uploadfeld
  einen Auswahldialog starten. Der Upload beginnt in jedem Fall automatisch. Sobald die Datei(en)
  fehlerfrei übertragen wurden, wird für die Datei ein neuer Content- / Play-Button angezeigt oder
  entsprechend angezeigt.

## Plus-Button

Der Plus-Button befindet sich im unteren Bereich. Mit diesem Button können neue Anwendungen des
  jeweiligen angelegt werden. Die Konfiguration und wie solche Anwendungen wieder gelöscht werden
  können, wurde weiter oben bei **Setup** beschrieben.

Es gibt einige Apps wie z.B. Slides und Ticker, bei denen du noch einen Plus-Button sehen kannst.
  Mit diesem Plus-Button werden neue Slides bzw. neue Tickertexte angelegt.

## Vorschau

Der Bereich für die Vorschau wird durch das Grid (grau / weisse Kacheln) dargestellt. Sofern visuell
  etwas dargestellt werden kann, wird es in diesem Bereich angezeigt. In der Vorschau werden die
  Inhalte verkleinert im passenden Verhältnis zueinander angezeigt. Die Vorschau entspricht nicht
  immer pixelgenau dem wie es eingerichtet ist. Für eine exakte Kontrolle sollte die App in einem
  Browserfenster oder direkt in der Encodersoftware geöffnet werden.
