---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2020-08-22
title: Textbearbeitung
description: 'iStream Tools - Textbearbeitung Hilfe allgemein'
keywords: 'suggestions todo erweiterungen ideen'

---

# Text bearbeiten

<div class="lead" markdown="1">
An verschiedenen Stellen in iStreamtools werden zusätzlich zu **Markdown**, **HTML** und **CSS**, Tools wie
  **Shortcodes**, **bbcodes** und **Macros** unterstützt. Diese zusätzlichen Tools können genutzt werden, wenn ganz
  besondere Effekte erzielt werden sollen. Man kommt aber auch ohne diese Tools ganz gut zurecht.
</div>

## Übersicht

**HTML**<br>
HTML ist im Ticker und bei den Slides möglich. In Verbindung mit CSS können Dinge verwirklicht werden, die mit den
  anderen Mitteln nicht erreichbar sind. Es gibt einige vordefinierte *Klassen* (`class=...`) die einem die Arbeit ein
  bisschen erleichtern können. Weiterführende Informationen findest Du links in der Navigation.

**CSS**<br>
Wenn mit HTML dem Browser gesagt wird, wo und vor allem in welcher Reihenfolge / Hirachie die elemente angeordnet
  werden sollen, dann wird mit CSS beschrieben, wie die Elemente gestylt werden sollen. Man kann das direkt im einzelnen
  HTML-Tag beschreiben oder in Style-Abschnitten `<style>...</style>` zusammenfassen und bei Bedarf als Klasse
  referenzieren. Mit HTML und / oder CSS kann man also die Dinge umsetzen, für die es noch keine Macros oder dergleichen
  gibt.

**Markdown**<br>
Markdown ist eine vereinfachte Auszeichnungssprache und wurde entwickelt, damit auch Menschen, die nicht soviel mit
  Programmieren am Hut haben ihre Texte auf einfache Weise formatieren können. Markdown wird in den meisten Wikis
  verwendet und wurde auch dadurch populär. Markdown wird in den Slides verwendet und ist im Slide-Editor der Standard.
  Es gibt eine Menge Anleitungen zu Markdown im Internet, die für die Slides wichtigsten Befehle habe ich
  zusammengefasst.

**bbcodes**<br>
Vor Markdown gab es in den Foren, ebenfalls für User, die nicht unbedingt programmieren lernen wollten, nur um einen
  Forenbeitrag zu schreiben, die bbcodes. bbcodes sind in eckige Klammern eingeschlossen `[img]...[/img]` und die
  Software macht aus dem bbcode den notwendigen HTML-Code, evtl. mit dem nötigen CSS und / oder Javascript.

**Macros**<br>
Die Macros sind eine Erweiterung der bbcodes und wurden für iStreamtools entwickelt. Mit den Macros kann man auf
  einfache Weise den Text freier als mit dem Editor gestalten und / oder animieren. Die Macros werden ständig weiter
  entwickelt so dass immer mehr und neue Animationen und Effekte dazukommen.

**Shortcodes**
Die Shortcodes können im ticker, den Slides und den Buttons genutzt werden. Es ist eine Möglichkeit um Emojies und /
  oder Font-Icons anzuzeigen. Die Verwendung ist ähnlich wie man es z.B. von Discord her gewöhnt ist. So ergibt z.B.
  `:nerd:` den Nerd-Emojie. die Font-Icons ist der komplette Satz `solid`, `regular` und `brand` Icons von Fontawesome.

## Templates
