---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2019-10-28
title: Komponente Audioplayer
description: 'iStream Tools - Komponente Audioplayer'
keywords: 'Audioplayer, Mediaplayer, Soundeffekte, Stream, Tool'

---

# Audioplayer

<div class="lead" markdown="1">
Mit dem Audioplayer kannst Du Deine Zuschauer mit Soundeffekten oder ein bisschen Fahrstuhlmusik
  unterhalten. Der Audioplayer ist nicht sichtbar. Du kannst mehrere Audioplayer einbinden und
  unabhängig voneinander steuern. Mach einen für knackige Soundeffekte, einen für unterhaltende
  Musik unde noch einen für ....
</div>

## Audiplayer einrichten

Um einen Audioplayer einzurichten wählst Du einen bereits vorhandenen Audioplayer aus oder erstellst
  mit dem Add-Button einen neuen Audioplayer und wählst anschliessend diesen aus.

Es stehen Dir nun folgende Einstellungen zur Verfügung:

**Über die generelle Konfiguration:**

- Den Namen des Audioplayers anpassen.
- Die Startlautstärke festlegen.
- Das aktuelle Setup des Audiplayers löschen.

**Die Standard-Buttons:**

- Lautstärke reduzieren
- Pause
- Lautstärke erhöhen
- Schnellzugriff niedrige Lautstärke
- Loop
- Schnellzugriff obere Lautstärke

**Button Audio (-datei) abspielen:**

- Datei per Drag n Drop oder Auswahl hochladen
- Name des Buttons anpassen
- Lautstärke für diese Datei festlegen
- Farbe des Buttons festlegen
- Datei löschen.

## Lautstärke Einstellungen

Wenn Du mehrere Audiodateien, womöglich noch aus unterschiedlichen Quellen hast, dann wird Dir
  vermutlich schon aufgefallen sein, dass diese Dateien selten den gleichen Lautstärkepegel haben.
  Die eine Datei ist ein bisschen leiser als die restlichen Dateien und eine andere Datei ist ein
  bisschen lauter als die restlichen. Diesen Unterschied über den Mixer in der Encodersoftware
  auszugleichen ist etwas mühsam. Zudem kann es auch vorkommen, dass man vergisst den passenden
  Lautstärkepegel über den Mixer einzustellen.

Mit dem Audioplayer kann man diesen Umstand ausgleichen. Man kann einen Standardlautstärkepegel
  einstellen. Und die Medien erhalten ihren individuellen Lautstärkepegel. Der individuelle
  Lautstärkepegel ist immer eine Angabe im Verhältnis zur Grundlautstärke. Daraus wird die
  tatsächliche Lautstärke errechnet. So kann im optimalen Fall ein stetiges nachregeln im Mixer
  vermieden werden.

Alle Lautstärkeangaben werden in Prozent angegeben. Angenommen, du stellst die Grundlautstärke auf
  80% ein, und die Lautstärke der Datei ebenfalls auf 80%, dann ist die tatsächliche Lautstärke
  64%. Die tatsächliche Lautstärke berechnet sich `(80/100) * (80/100) * 100`

Um das System zu verdeutlichen gehen wir einfach mal davon aus, Du hast 3 Audiodateien. Eine davon
  ist genau richtig abgemischt (Audio1). Eine ist etwas zu leise (Audio2), und die letzte ist etwas
  zu laut (Audio3). Du richtest nun die Grundlautstärke auf 80% ein. Audio1 bekommt ebenfalls 80%.
  Audio2, die etwas zu leise ist, bekommt 120% und Audio3, die etwas zu laut ist, bekommt 60%.
  Daraus ergeben sich folgende Werte für die tatsächliche Lautstärke.

- Audio1 64% (80/100 * 80/100 * 100)
- Audio2 96% (120/100 * 80/100 * 100)
- Audio3 48% (60/100 * 80/100 * 100)

Das schaut in Zahlen ein bisschen nach Misch Masch aus, wenn aber die richtigen Einstellungen
  ausgewählt werden, erscheinen alle 3 Dateien gleich laut, obwohl sie unterschiedlich abgemischt
  sind.

## in OBS einbinden

Der Audioplayer enthält keine visuellen Komponenten. Du kannst ihn direkt in Deine Szene oder in
  eine Subszene einbinden. Grössenangaben haben keinen Einfluss auf die Funktionsweise der App.
