# Komponenten

<div class="lead" markdown="1">
Hier siehst Du eine Übersicht der Komponenten und Anwendungen zu iStream Tools. Abgesehen von den
Komponenten, die Du auf streamtool.net findest und die Du in Deine Streams einbinden kannst, gibt es
noch einige eigenständige Internetauftritte, die speziell für iStream Tools erstellt wurden und die
das Angebot ergänzen. Die Auflistung findest Du weiter unten.
</div>

## Slides / Präsentationen

Mit den Slides kannst Du, mit nur wenigen Klicks, Präsentationen zusammenstellen. Du kannst sie aber
  auch für andere Effekte in Deinem Stream oder in Deinen Videos verwenden. So lassen sich mit den
  Slides auch "Lowerthirds", "Imageslider", wechselnde Hintergründe und Overlays, Intros und
  Abspann erstellen. Du kannst verschiedene Slides erstellen und diese miteinander kombinieren.

## Prompter / Teleprompter

Der Teleprompter wird in einem extra Browserfenster gestartet. Du kannst die Schrift sowohl
  horizontal als auch vertikal spiegeln. Die Geschwindigkeit und die Schriftgrösse können jederzeit
  eingestellt werden.

## Ticker / Laufschrift

Der typische Ticker. Du kannst den Ticker während des Streams ergänzen, ausblenden, wieder
  einblenden, Farben und Geschwindiglkeit einstellen. Du kannst mehrere Ticker erstellen und diese
  unabhängig voneinander steuern.

## Audioplayer

Mit dem Audioplayer kannst Du Deine Zuschauer mit Soundeffekten oder ein bisschen Fahrstuhlmusik
  unterhalten. Der Audioplayer ist nicht sichtbar. Du kannst mehrere Audioplayer einbinden und
  unabhängig voneinander steuern. Mach einen für knackige Soundeffekte, einen für unterhaltende
  Musik unde noch einen für ....

## Videoplayer

Mit dem Videoplayer bekommst Du Videos direkt in Deinen Stream. Du kannst die Videos uploaden und
  dann mit einem Klick mit der Maus oder einem Tap auf dem Tablet, je nachdem wie du die Console
  geöffnet hast, starten. Du kannst Dir so wechselnde Hintergründe einrichten und oder "Beep-Videos"
  einblenden. Kein mühsames suchen auf Youtube und keine Werbeeinblendungen mehr.

### OBS Remote &amp; OBS Bridge

Die OBS Bridge ist die Schnittstelle zwischen OBS-Studio und den Streamtools. Sobald die OBS Bridge
  eingerichtet ist, lassen sich in OBS Remote die gewünschten Schalter einrichten, mit denen man
  die Szenen, Quellen, Gruppen und Filter in OBS- Studio steuern kann.

## Console / Kontroller / C&C

Die Leitzentrale. Sozusagen. Du kannst dir mehrere Consolen einrichten und den Link an einen Freund
  oder Moderator weitergeben. Dieser kann dann für Dich die Regie übernehmen. Du kannst die Consolen
  im Browser, auf dem Tablet oder dem Smartphone öffnen und bedienen. Wie Dir beliebt.

## zusätzliche Internetangebote

Folgende Internetangebote stehen ebenfalls zur Verfügung. Sie ergänzen das Angebot der iStream
  Tools. Manche werden automatisch in den iStream Tools verwendet. Bei einigen kannst Du dich direkt
  bedienen oder auch mitwirken.

### stid.cc

Die Sicherheit verlangt es, dass man die Links gegen Missbrauch absichert. Sonst könnte ejmand den
  Link evtl. erraten und so den Stream stören oder den MessageBus blockieren. Eine Registrierung
  soll aber vermieden werden, damit ein einfaches verwenden der Apps und Consolen möglich ist. Die
  Konsequenz daraus sind sehr lange Links. Damit man aber mit diesen langen Links nicht hantieren
  muss, gibt es den Url-Shortener. Er erzeugt sehr kurze Links, die aus ein paar Buchstaben und
  Zahlen bestehen. Die Links werden automatisch generiert und werden auf der Seite Links angeboten.
  Du musst also nichts weiter tun.

### stlib.cc

Mit stlib.cc entsteht eine Media-Bibliothek für Bilder, Videos und Audiodateien. Alle dort
  aufgelisteten Dateien sind copyrightfrei. Du kannst sie frei in den Anwendungen und Komponenten
  der iStream Tools verwenden.

### space1.cc

Space #1 ist eine PasteBin Anwendung. Man kann dort sehr schnell und einfach sogenannte Codesnippets
  eintragen und auch wieder abrufen. Diese Codesnippets eignen sich sehr gut als Templates für z.B.
  die Slides, die auch in einer HTML-Ansicht bearbeitet werden können. Wenn du das für dich richtige
  Template auf Space #1 findest, brauchst Du es schon nicht mehr selbst zusammenstellen. Zeit
  gespart!

### quiro.net

Quiro ist der zentrale Helpdesk. Wenn Du einen Fehler melden möchtest oder in den iStream Tools
  nicht weiter kommst, dann kannst Du im Helpdesk direkt eine Anfrage starten oder Du sendest
  einfach eine Email an help@streamtool.net. Auf Quiro gibt unter anderem auch ein Forum zu den
  iStream Tools.
