---
noindex: false
comments: false
#author: HaPe
#author_tools: hape
#level: beginner
#article_type: info
#date: 2019-10-28
last_updated: 2019-10-28
title: Antworten auf oft gestellte Fragen
description: 'Antworten auf oft gestellte Fragen'
keywords: 'suggestions todo erweiterungen ideen'

---

# Antworten auf oft gestellte Fragen

## Was ist der Unterschied zwischen Audioplayer und Soundeffects
Eigentlich gibt es da keinen grossen Unterschied. Die Idee ist, dass man für die unterschiedliche
  Anwendung auch unterschiedliche Settings verwenden möchte und auch unterschiedliche Audodateien
  verwendet. Bei Soundeffects verwendet man sehr kurze Aufnahmen während man bei dem Audioplayer
  längere verwendet. Bei den Soundeffects macht eine Pausefunktion und ein Loop wenig Sinn. Während
  man beim Audioplayer, die Musik vielleicht mal kurz anhalten möchte oder im Loop laufen lassen
  möchte. Ebenso bei der Lautstärke. Das eine möchte man vielleicht als Hintergrundmusik haben,
  während das andere etwas lauter abgespielt werden soll.

## Warum so lange Links bzw. dann diese Shortlinks?
Diese besondere Linkzusammenstellung hat zwei Gründe. In der Encodersoftware kannst Du dich nicht
  einloggen. Sprich der Link muss individualisiert werden, damit er Deiner Konfiguration zugeordnet
  werden kann und ohne Login und Cookies das anzeigt was er soll. Damit aber nicht jemand anderer
  auf die Links zugreifen kann und damit evtl. uhrheberrechtlich geschütztes Material von Dir
  verwendet oder in irgendeiner Form Deinen Stream stören kann, muss der Link so aufgebaut sein,
  dass er nicht alleine aufgrund des Aufbaus zugeordnet werden kann. Auch das erraten der ID darf
  nicht möglich sein.

Das selbe auch bei den Links zur Console. Die Idee ist, dass es Moderatoren gibt, denen man vertraut
  und die Dich gerne bei Deinen Streams unterstützen möchten, indem sie für Dich die Einspieler,
  Slides, Effekte etc. bedienen. So kannst Du dich noch besser um Deine Zuschauer kümmern. Und um
  das zu bewerkstelligen musst Du nur die Console entsprechend einrichten und Deinem Moderator -
  egal wo auf der Welt er gerade ist - den Link schicken, und er kann für Dich die Bedienung der
  Console übernehmen.

Die Shortlinks (stcc.id = iStream Tools Command & Control ID *HaHa ich liebe es*) haben den Effekt
  dass der komplette (lange) Link auf eine ID von 7 Zeichen Länge heruntergebrochen wird, und alles
  beinhaltet, was man braucht, um die Komponente aufzurufen. Diese 7 Zeichen lassen sich einfach per
  Telefon mitteilen oder per SMS schicken. Oder auch einfach auf das Smartphone / Tablet / einen
  anderen Computer übertragen. Das dies ein eigener ShortUrl-Dienst ist liegt nahe, da je weniger
  Fremddienste imvolviert sind, desto mehr Möglichkeiten hat man.

## iStream Tools konfigurieren, kleinste Auflösung 1280x720?
Ja, tatsächlich ist das die **momentan** kleinste Auflösung für die Konfiguration. **ACHTUNG: Nur
  für die Konfiguration im Userbereich auf streamtool.net** Die Komponenten und die Console
  funktionieren auch bei kleineren Auflösungen wie z.B. 320x240 (getestet).

Der Hintergrund liegt bei den Prioritäten und dem üblichen Arbeitsplatz eines Streamers bzw.
  Videoproduzenten. Und da ist eine Auflösung von 1920x1080 normal. Sicher gibt es auch
  Arbeitsplätze mit kleineren Monitoren. Aber im Moment geht es darum das der Grossteil der
  Features funktioniert. Die Anpassung auf kleinere Auflösungen geschieht zum einen während der
  weiteren Entwicklung und am Ende dann in einem Rutsch, wenn das meiste funktioniert wie es soll.

## Das ist so kompliziert
Dass es auf den ersten Blick kompliziert und aufwändig erscheint könnte daran liegen, weil das
  Konzept, die Funktionsweise und der Aufbau neu und ungewohnt ist. Bekannt und am gebräuchlichsten
  sind zur Zeit Alerts und Bots, die auf gewisse Dinge reagieren und das dann im Stream anzeigen
  bzw. den Streamer informieren. In dieses System kann der Streamer dann auch nur über die
  Webseite des Anbieters zugreifen.

Wenn der Streamer selbst etwas über die Encodersoftware anzeigen lassen will, dann muss er natürlich
  die Quelle einrichten und während des Streams oder der Aufnahme die gewünschte Quelle sichtbar
  machen bzw. wieder deaktivieren. Und das für jede einzelne Quelle, für jeden einzelnen Effekt.
  Meine Erfahrung ist, dass die Liste der möglichen / gewünschten Quellen, recht schnell, lang und
  unüberswichtlich wird.

Bei den iStream Tools richtest Du dir einen Button ein, der auf Deiner Console angezeigt wird und
  Du kannst nun ganz einfach über einen einfachen Tab oder Klick das gewünschte Element einbinden.
  Und ganz verrückt, jemand anderer kann das für Dich übernehmen.

## Warum sollte jemand anderer die Console bedienen
Erst einmal heisst es ja nur es ist möglich. Du musst ja nicht die Kontrolle abgeben. Aber stell
  Dir mal vor, du hast einen Moderator, der ja sowieso bei Deinen Streams dabei ist und schon sehr
  gut weiss was Du da so im Reportaire hast. Der z.B. weiss, dass wann immer du einen bestimmten
  Satz sagst, startest Du auch einen bestimmten Einspieler. Nur, dass das halt nicht immer perfekt
  funktioniert. Nun gibst Du diesem Moderator die Console. Und er weiss schon, dass er gleich den
  Einspieler starten muss, weil Du jetzt gerade "das Zeichen gibst". Er startet den Einspieler
  punktgenau und nichts weiter ist zu tun. Du kannst weiter den Livechat beobachten, hast 1-2
  Sekunden um für den weiteren Verlauf bereit zu sein.

Ein anderes Szenario. Du hast gerade eine Fragerunde. Und beantwortest eine Frage. Dabei verlierst
  Du den Chat aus den Augen. Der Moderator kann Dir nun über den Prompter eine Nachricht, mit
  der nächsten anstehenden Frage, schicken. Der Prompter ist so direkt in Deinem Sichtfeld und kommt
  auch automatisch in den Vordergrund. Du musst Dich nicht durch die Discordkanäle hangeln und auch
  nicht ne halbe Stunde durch das Chatprotokoll scrollen. Du kannst direkt weiter machen.

## Ja aber das ist doch auf einem Server draussen. Da entsteht doch eine enorme Verzögerung
Als erstes würde ich empfehlen, es einfach im Browser zu testen. Wenn Du deine Erfahrungen mit
  Youtube, Facebook oder Twitter gemacht hast, dann sind die Vorbehalte verständlich. Nur sind das
  zwei verschiedene Anwendungsfälle. Die grösseren Streamerdienste haben ganz andere Interessen,
  als dir Video ohne "Unterbrechung" zu liefern. Sie haben jede Menge Trackingsoftware am laufen um
  den richtigen Zeitpunkt für die Werbeeinblendung zu ermitteln und dann wollen sie Dir auch noch
  die zu dir passende Werbung einblenden. Dazu messen sie ob du noch auf der Seite bist und wie
  lange Du schon auf der Seite bist. Und so weiter und so fort. Sie wollen Dir die neusten Updates
  schicken Ständig anzeigen wer gerade online ist und wer nicht. Das alles beansprucht deinen
  Browser und bringt auch hin und wieder das Video ins stocken.

Der zweite Punkt, ist noch deine eigene Internetanbindung. Hier könnte tatsächlich ein Flaschenhals
  entstehen. Nun ist es aber auch so, dass der Eindruck, dass die Internetanbindung gerade ein
  bisschen laggt, oft auch ein Trugschluss ist und auch oft mit den oben beschriebenen Dingen
  zusammenhängen könnte. Also oft hängt es an dem Seitenbetreiber und ja, auch oft an den grossen
  Seitenbetreibern. Kurzum, in der heutigen Zeit ist DSL normal und selbst eine Mobile-Anbindung
  ist immer schnell genug, sofern es nicht auf GPRS gedrosselt ist.

Ich habe meine Server bei OVH gehostet und diese haben eine 10Gbit/s Anbindung. Alles was da
  ausgeliefert wird wird so schnell transportiert wie es von der Festplatte gelesen werden kann.
  Ein 500KB Video ist in einem Augenaufschlag bei Dir vor der Haustür. Ich selbst habe eine
  DSL-Anbindung mit 15Mbit Download und 800Kbit Upload. Und ein Video mit einer Auflösung von
  1920x1080 wird ohne einen Ruckler, mit einer Verzögerung von etwa 300ms abgespielt. ein Video,
  das ich hier lokal starte mit einer Auflösung von 1280x720 wird mit einer Verzägerung von 200ms
  gestartet. Übrigens die Nachrichtenübermittlung auf dem Messagebus geschieht in Zeitspannen eines
  Pings. Komplette Übermittlung eines Befehls dauert zwischen 40ms und 80ms.
